<?php

if ( !function_exists("wyslijMailText") ) {
	
	############################################
	# 			Konfiguracja START             #
	############################################
	// nazwa nadawcy wiadomości
	// możesz podać skrzynkę email, nazwę firmy lub imię i nazwisko
	define("SMTP_MAIL_FROM","Moja Firma");
	
	// login do serwera poczty, w przypadku hostit.pl jest to zawsze
	// pełna nazwa skrzynki pocztowej
	define("SMTP_MAIL_USER","skrzynka-email@moja-domena.pl");

	// hasło do skrzynki pocztowej
	define("SMTP_MAIL_PASS","haslo-do-mojej-skrzynki");

	// w jaki sposób kodować wiadomości, wartość:
	// true - UTF8
	// false - ISO-8859-2
	// domyślnie: true
	// W przypadku problemów z polskimi znakami w wysyłanych wiadomościach
	// spróbuj zmienić wartość z true na false lub odwrotnie
	define("SMTP_MAIL_UTF8",true);

	// Czy chcesz aby wyświetlały się komunikat dot. połączenia z serwerem poczty
	// opcja przydatna do testowania skryptu - nie powinno się jednak
	// włączać tej opcji w przypadku skryptów produkcyjnych,
	// ponieważ wyciekną twoje dane dot. logowania na serwer poczty
	// true - wyświetlaj
	// false - nie wyświetlaj
	// domyślnie: false
	define("SMTP_MAIL_DEBUG",false);

	// adres serwera poczty
	define("SMTP_MAIL_HOST","poczta.hostit.pl");

	// port serwera smtp
	define("SMTP_MAIL_PORT","587");


	############################################
	# 			Konfiguracja KONIEC            #
	############################################

	include_once realpath(dirname(__FILE__)) . "/phpmailer/class.phpmailer.php";


	function wyslijMailText($odbiorca,$temat,$wiadomosc) {
		$mail = new PHPMailer();
		$mail->IsSMTP();
		if ( SMTP_MAIL_DEBUG === true ) {
			$mail->SMTPDebug = 2;
		} else {
			$mail->SMTPDebug = 0;
		}

		$mail->SMTPAuth = 'login';

		if ( SMTP_MAIL_UTF8 === true ) {
			$mail->CharSet = 'UTF-8';
		} else {
			$mail->CharSet = 'ISO-8859-2';
		}
		$mail->Host = SMTP_MAIL_HOST;
		$mail->Port = SMTP_MAIL_PORT;
		$mail->Username = SMTP_MAIL_USER;
		$mail->Password = SMTP_MAIL_PASS;
		$mail->SetFrom(SMTP_MAIL_USER, SMTP_MAIL_FROM);
		$mail->Subject = $temat;
		$mail->Body = $wiadomosc;
		$mail->AddAddress($odbiorca);
		return $mail->Send();
	}

	function wyslijMailHtml($odbiorca,$temat,$wiadomosc) {
		$mail = new PHPMailer();
		$mail->IsSMTP();
		if ( SMTP_MAIL_DEBUG === true ) {
			$mail->SMTPDebug = 2;
		} else {
			$mail->SMTPDebug = 0;
		}

		$mail->SMTPAuth = 'login';

		if ( SMTP_MAIL_UTF8 === true ) {
			$mail->CharSet = 'UTF-8';
		} else {
			$mail->CharSet = 'ISO-8859-2';
		}
		$mail->Host = SMTP_MAIL_HOST;
		$mail->Port = SMTP_MAIL_PORT;
		$mail->Username = SMTP_MAIL_USER;
		$mail->Password = SMTP_MAIL_PASS;
		$mail->SetFrom(SMTP_MAIL_USER, SMTP_MAIL_FROM);
		$mail->Subject = $temat;
		$mail->Body = $wiadomosc;
		$mail->msgHTML(wiadomosc);
		$mail->AltBody = 'Wiadomosc wymaga czytnika poczty obslugujacego HTML';
		$mail->AddAddress($odbiorca);
		return $mail->Send();
	}


}

?>
